/*
	Copyright 2011 Daniel Pletea

	This file is part of T-Nano.

	T-Nano is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	T-Nano is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with T-Nano.  If not, see <http://www.gnu.org/licenses/>.
*/

import java.awt.Color;

/**
 * 
 * @author Daniel Pletea
 *
 */
public class Theme {
	
	private String tileBackground, circuitBackground;
	private Color wireColor, semiconductorColor;

	public Theme(String tileBackground, Color wireColor, String circuitBackground, Color semiconductorColor)
	{
		this.tileBackground = tileBackground;
		this.wireColor = wireColor;
		this.circuitBackground = circuitBackground;
		this.semiconductorColor = semiconductorColor;
	}
	
	public String getTileBackground() {
		return tileBackground;
	}

	public String getCircuitBackground() {
		return circuitBackground;
	}

	public Color getWireColor() {
		return wireColor;
	}

	public Color getSemiconductorColor() {
		return semiconductorColor;
	}
	
}
